MODULE atomdata

  TYPE GridInfo
     INTEGER :: n
     REAL(8) :: h
     REAL(8), POINTER :: r(:)
  END TYPE GridInfo


  TYPE OrbitInfo
     INTEGER :: nps, npp, npd ,npf, npg, norbit
     INTEGER, POINTER :: np(:),l(:)
     REAL(8), POINTER :: eig(:),occ(:),wfn(:,:)
  END TYPE OrbitInfo

  TYPE SCFInfo
     INTEGER :: iter
     REAL(8) :: delta,eone,ecoul,eexc,etot
  END TYPE SCFInfo

  TYPE PotentialInfo
     INTEGER :: nz
     CHARACTER(2) :: sym
     REAL(8) :: q,v0,v0p
     REAL(8) , POINTER :: den(:),rv(:)
  END TYPE PotentialInfo

END MODULE atomdata
